Loading...
Searching...
No Matches
AVD3D12VAFramesContext Struct Reference

This struct is allocated as AVHWFramesContext.hwctx. More...

`#include <libavutil/hwcontext_d3d12va.h>`

## Data Fields

DXGI_FORMAT | format
| DXGI_FORMAT format.
D3D12_RESOURCE_FLAGS | resource_flags
| Options for working with resources.
D3D12_HEAP_FLAGS | heap_flags
| Options for working with heaps allocation when creating resources.
ID3D12Resource * | texture_array
| In texture array mode, the D3D12 uses the same texture array (resource)for all pictures.
AVD3D12VAFrameFlags | flags
| A combination of AVD3D12VAFrameFlags.

## Detailed Description

This struct is allocated as AVHWFramesContext.hwctx.

Definition at line 172 of file hwcontext_d3d12va.h.

## Field Documentation

## format

DXGI_FORMAT AVD3D12VAFramesContext::format

DXGI_FORMAT format.

MUST be compatible with the pixel format. If unset, will be automatically set.

Definition at line 177 of file hwcontext_d3d12va.h.

## resource_flags

D3D12_RESOURCE_FLAGS AVD3D12VAFramesContext::resource_flags

Options for working with resources.

If unset, this will be D3D12_RESOURCE_FLAG_NONE.

See also
  https://learn.microsoft.com/en-us/windows/win32/api/d3d12/ne-d3d12-d3d12_resource_flags

Definition at line 185 of file hwcontext_d3d12va.h.

## heap_flags

D3D12_HEAP_FLAGS AVD3D12VAFramesContext::heap_flags

Options for working with heaps allocation when creating resources.

If unset, this will be D3D12_HEAP_FLAG_NONE.

See also
  https://learn.microsoft.com/en-us/windows/win32/api/d3d12/ne-d3d12-d3d12_heap_flags

Definition at line 193 of file hwcontext_d3d12va.h.

## texture_array

ID3D12Resource* AVD3D12VAFramesContext::texture_array

In texture array mode, the D3D12 uses the same texture array (resource)for all pictures.

Definition at line 199 of file hwcontext_d3d12va.h.

## flags

AVD3D12VAFrameFlags AVD3D12VAFramesContext::flags

A combination of AVD3D12VAFrameFlags.

Unless AV_D3D12VA_FRAME_FLAG_NONE is set, autodetected flags will be OR'd based on the device and frame features during av_hwframe_ctx_init().

Definition at line 206 of file hwcontext_d3d12va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d12va.h